Subject: Re: [PATCH] git-cherry.txt: Change symbol marks in graph.

From: Michael J Gruber <[email-masked]>
Date: Thu, 02 Dec 2010 12:05:33 +0100

Jakub Narebski venit, vidit, dixit 02.12.2010 09:00:
> Jari Aalto <[email-masked]> writes:
> 
>> From: Jari Aalto <[email-masked]>
>>
>> The common commit were marked with a minus sign (-), but that is
>> usually interpreted as something less or substracted. Use natural
>> equal sign (=). Commits that are not in upstream were marked with plus
>> sign (+) but a question mark (?) is visually a litle more striking
>> (erect) in context where all other signs are "flat". It also helps
>> visually impared to see difference between (* ... ?) as opposed to
>> similar signs (* ... +).
> 
> Reading comprehension FAIL.  The graph in question uses '+' and '-' because
> that is what 'git cherry' *output( uses ('+' included, '-' excluded).  They
> are very natural in git-cherry output (diff-like).

Yep, and I so wished that git-cherry had different output that I even
saw a git-cherry patch where there was none...

So, +1 from me if this comes with an actual code patch.

Michael